package mongo

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/mon"
	"github.com/zeromicro/go-zero/core/syncx"
)

var (
	// ErrNotFound matches go-zero mon / mongo driver "no documents".
	ErrNotFound = mon.ErrNotFound

	singleFlight = syncx.NewSingleFlight()
	stats        = cache.NewStat("mongoc")
)
